Bulk update entities

Server: https://{kibana_url}
  • PUT /api/security/entity_store/entities/bulk
  • PUT /s/{space_id}/api/security/entity_store/entities/bulk

Refer to Spaces for more information.

Update multiple entity records in the Entity Store in a single request.

[Required authorization] Route required privileges: securitySolution.

Query Parameters

force union enum | boolean · default: false

When true, allows updating protected fields.

Values: true false

Request

Responses

200

Indicates a successful response.

application/json
400

Bad request.

application/json